List custom shifts
Important note: Shift-based schedules use the V3 API and are not compatible with V2 automations. To create automations for Shift-Based Schedules, you need to:
- Update your automations to use the V3 API for all new shift-based schedules
- Keep the V2 endpoint for your existing schedules
An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. Learn more.
Retrieve custom shifts for a schedule within a time range.
since and until are required.
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the schedule.
Query Parameters
Start of time range (ISO 8601)
date-timeEnd of time range (ISO 8601)
date-timeIANA timezone identifier for rendering shift times. Defaults to the schedule's configured time zone.
Include shifts that extend beyond the requested time range boundaries
false1 <= value <= 100250 <= value0Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Get a schedule GET
<!-- theme: info --> > **Important note:** Shift-based schedules use the V3 API and are not compatible with V2 automations. **To create automations for Shift-Based Schedules, you need to:** > > 1. **Update your automations** to use the V3 API for all new shift-based schedules > 2. **Keep the V2 endpoint** for your existing schedules > > An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. [Learn more](https://support.pagerduty.com/main/docs/shift-based-schedules-api-upgrade-examples). Retrieve a schedule by ID including rotations and events. Optionally include the computed final schedule for a time range. Use `include[]=final_schedule` to get computed on-call assignments. Use `since` and `until` to specify the time range.
List events GET
<!-- theme: info --> > **Important note:** Shift-based schedules use the V3 API and are not compatible with V2 automations. **To create automations for Shift-Based Schedules, you need to:** > > 1. **Update your automations** to use the V3 API for all new shift-based schedules > 2. **Keep the V2 endpoint** for your existing schedules > > An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. [Learn more](https://support.pagerduty.com/main/docs/shift-based-schedules-api-upgrade-examples). Retrieve all events for a rotation, ordered by start time.